﻿using Infragistics.Controls.Layouts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamTileManagerSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamTileManager_TileStateChanged(object sender, Infragistics.Controls.Layouts.TileStateChangedEventArgs e)
        {
            XamTile tile = e.Tile;
            object content = tile.Content;
            var image = content as Image;
            if(image == null)
            {
                return;
            }
            if(e.NewState == TileState.Normal)
            {
                image.Width = 320;
                image.Height = 240;
            } else if (e.NewState == TileState.Maximized ) {
                image.Width = 1920;
                image.Height = 1080;
            }
        }
    }
}
